﻿<!-- DevExtreme library -->
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/dx.all.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/polyfill.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/exceljs/exceljs.min.js"></script>
<script type="text/javascript" src="~/assets/plugins/dxDataGrid/FileSaver/FileSaver.min.js"></script>
<script src="https://cdn.jsdelivr.net/gh/linways/table-to-excel@v1.0.4/dist/tableToExcel.js"></script>

<script type="text/javascript">
	// console.log(data_json[0]);

	var _height_Window 	= $(window).height();
	var _height_Header 	= $('.iq-top-navbar').height();
	var _height_Title 	= $('.iq-card-header').height();
	var _height_Footer 	= $('.iq-footer').height();

	/* Config scroll table - Xoá comment để kích hoạt */
	var flag_fixed = false;
	if($(window).width() > 760){
		$('#gridContainer').height(_height_Window - _height_Header - _height_Title - _height_Footer - 76);
		flag_fixed = true;
	}else{
		$('#gridContainer').height(_height_Window);
		if($(window).width() > 375){
			flag_fixed = true;
		}else{
			flag_fixed = false;
		}
	}
    function addDays(date, days) {
      var result = new Date(date);
      result.setDate(result.getDate() + days);
      return result;
    }
	
    $('.btnXemBaoCaoDanhSachDiLamTuan').click(function () {
         jQuery("#loading").fadeIn();
        var NgayDangKyTuNgay = new Date($('#NgayDangKyTuNgay').val());
        var NgayDangKyDenNgay = new Date($('#NgayDangKyDenNgay').val());
        var NgayDangKyTuNgayT = addDays(NgayDangKyTuNgay, -7);
        $.ajax({
            url: '@Url.Action("GetBangTongHopNhanVienLamViec", "Admin")',
            type: 'POST',
            data: { NgayDangKyTuNgay: $('#NgayDangKyTuNgay').val(), NgayDangKyDenNgay: $('#NgayDangKyDenNgay').val()},
            dataType: 'json',
            success: function (data) {
                $("#gridContainer").dxDataGrid({
                    dataSource: data,
				    showBorders: true,
                    showRowLines: true,
                    searchPanel: {
                        visible: true,
                        highlightCaseSensitive: true
                    },
                    headerFilter: {
                        visible: true
                    },
				    paging: {
                      pageSize: 100,
                    },
                    pager: {
                      showPageSizeSelector: false,
                      allowedPageSizes: [10, 25, 50, 100],
                    },
                    columnAutoWidth: true,
                    export: {
                        enabled: true
                    },
                    onExporting(e) {
                      const workbook = new ExcelJS.Workbook();
                      const worksheet = workbook.addWorksheet('BangTongHopNhanVienLamViec');
                      var borderStylePattern = { style: 'thick', color: { argb: 'FF7E7E7E' } };
                      DevExpress.excelExporter.exportDataGrid({
                        component: e.component,
                        worksheet,
                        topLeftCell: { row: 4, column: 1 },
                      }).then((cellRange) => {
                        const headerRow_ = worksheet.getRow(1);
                          headerRow_.getCell(1).value = 'Tổng Công ty May Nhà Bè - CTCP';
                        headerRow_.getCell(1).font = { name: 'Times New Roman', size: 12 , bold : true};
                        const headerRow__ = worksheet.getRow(2);
                          headerRow__.getCell(1).value = 'Phòng ban và các công ty con ';
                        headerRow__.getCell(1).font = { name: 'Times New Roman', size: 12, bold : true };
                        // header
                        const headerRow = worksheet.getRow(3);
                        worksheet.mergeCells(3, 1, 3, 13);

                        headerRow.getCell(1).value = 'BẢNG TỔNG HỢP NHÂN VIÊN LÀM VIỆC NGÀY ' + NgayDangKyTuNgay.getDate()+ '/' + NgayDangKyTuNgay.getMonth() + '/' + NgayDangKyTuNgay.getFullYear() + ' -> ' +  NgayDangKyDenNgay.getDate()+ '/' + NgayDangKyDenNgay.getMonth() + '/' + NgayDangKyDenNgay.getFullYear();
                        headerRow.getCell(1).font = { name: 'Times New Roman', size: 14, bold : true };
                        headerRow.getCell(1).alignment = { horizontal: 'center' };
                        
                      }).then(() => {
                        workbook.xlsx.writeBuffer().then((buffer) => {
                          saveAs(new Blob([buffer], { type: 'application/octet-stream' }), 'DanhSachDiLamTuan.xlsx');
                        });
                      });
                      e.cancel = true;
                    },
                    columns:
                        [
                            {
                                caption: "STT",
                                dataField: "STT",
                                alignment: "center"
                            },
                            {
                                caption: "Đơn vị",
                                dataField: "TenDonVi",
                                alignment: "left"
                            },
                            {
                                caption: "Số LĐ",
                                dataField: "SoLuongNhanVien",
                                alignment: "center"
                            },
                            {
                                caption: "Đăng ký đi làm " + NgayDangKyTuNgayT.getDate() + "/" + NgayDangKyTuNgayT.getMonth(),
                                dataField: "SoLuongDangKyTuanTruoc",
                                alignment: "center"
                            },
                            {
                                caption: "Tỷ lệ",
                                dataField: "TyLeTuanTruoc",
                                alignment: "center"
                            },
                            {
                                caption: "Tăng",
                                dataField: "Tang",
                                alignment: "center"
                            },
                            {
                                caption: "Giảm",
                                dataField: "Giam",
                                alignment: "center"
                            },
                            {
                                caption: "Đăng ký đi làm "+ NgayDangKyTuNgay.getDate() + "/" + NgayDangKyTuNgay.getMonth(),
                                dataField: "SoLuongDangKyTuanNay",
                                alignment: "center"
                            },
                            {
                                caption: "Tỷ lệ",
                                dataField: "TyLeTuanNay",
                                alignment: "center"
                            },
                            {
                                caption: "Xét duyệt của CT",
                                dataField: "XetDuyetCuaCT",
                                alignment: "center"
                            },
                            {
                                caption: "Có ăn cơm",
                                dataField: "CoAnCom",
                                alignment: "center"
                            },
                            {
                                caption: "Không ăn cơm",
                                dataField: "KhongAnCom",
                                alignment: "center"
                            },
                            {
                                caption: "GhiChu",
                                dataField: "GhiChu",
                                alignment: "center"
                            },
                        ],
                });
                 jQuery("#loading").fadeOut();
            },
            error: function() {
               jQuery("#loading").fadeOut();
            }
		 })
    })
    
    function exportReportToExcel() {
      let table = document.getElementsByTagName("table"); // you can use document.getElementById('tableId') as well by providing id to the table tag
      TableToExcel.convert(table[0], { // html code may contain multiple tables so here we are refering to 1st table tag
        name: `export.xlsx`, // fileName you could use any name
        sheet: {
          name: 'Sheet 1' // sheetName
        }
      });
    }


</script>